Skip to main content
DELETE
https://checkout.dintero.com/v1/
/
card-tokens
/
{token_id}
Delete card token
curl --request DELETE \
  --url https://checkout.dintero.com/v1/card-tokens/{token_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "Profile deleted",
  "requestor": "MERCHANT"
}
'
{
  "id": "<string>",
  "type": "payment_token",
  "status": "ACTIVE",
  "card_brand": "visa",
  "account_id": "P12345678",
  "payment_product_type": "dintero_psp.creditcard",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "token": "<string>",
  "masked_pan": "476173******0416",
  "pan_expiry_date": "09/2030",
  "token_expiry_date": "09/2030",
  "links": [
    {
      "href": "<string>",
      "rel": "digital_card_art",
      "mime_type": "image/png"
    }
  ],
  "customer_id": "<string>",
  "relationship_id": "<string>",
  "transaction_id": "<string>",
  "external_token_references": [
    "<string>"
  ],
  "created_by": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "deleted_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

token_id
string
required

The payment_token_id or recurrence_token_id for the token to delete.

Body

application/json
reason
string

Short description of the reason for the token deletion.

Maximum string length: 128
Example:

"Profile deleted"

requestor
enum<string>
default:MERCHANT

Entity initiating the token deletion.

Available options:
CARDHOLDER,
MERCHANT
Example:

"MERCHANT"

Response

Card Token

id
string
required
type
enum<string>
required
Available options:
payment_token
status
enum<string>
required
Available options:
ACTIVE,
INACTIVE,
SUSPENDED,
CANCELLED,
DELETED
card_brand
enum<string>
required
Available options:
visa,
mastercard
account_id
string
required
Required string length: 9
Pattern: ^[PT]{1}\d{8}$
Example:

"P12345678"

payment_product_type
string
required
Example:

"dintero_psp.creditcard"

created_at
string<date-time>
required
updated_at
string<date-time>
required
token
string
masked_pan
string
Example:

"476173******0416"

pan_expiry_date
string<\d{2}/\d{4}>
Example:

"09/2030"

token_expiry_date
string<\d{2}/\d{4}>
Example:

"09/2030"

customer_id
string
relationship_id
string

Reference to the merchant entity for which the token is dedicated. Merchant-dedicated tokens are uniquely created per merchant_relationship_id.

transaction_id
string<checkout-id>

Reference to the transaction where the token was created

external_token_references
string[]

External references to migrated card tokens

created_by
string
deleted_at
string<date-time>
deleted_by
string